Subject: Re: [Roll] Simplifying RPL: (1) multiple DAGs

From: Mukul Goyal <[email-masked]>
Date: Sat, 26 Sep 2009 23:25:22 -0500 (CDT)

>>__Background__:
>>A DAG is defined as a group of nodes communicating using the same OCP. 
>>Multiple DAGs may exist inside a LLN, some may have a single DAG root, 
>>some may have multiple DAG root, and a single node may be the root of 
>>multiple DAGs.

>Do you mean one DAG per OCP in the LLN? Or in other words, no need for DAG ID. That seems like an interesting idea with which I >cant find any fault as long as it is allowed for a DAG (for a particular OCP) to have unconnected fragments spread throughout the >LLN.
 
I spoke too soon. I am no longer sure if one DAG per OCP is a good idea. This would require overloading whole lot of information in OCP that just complicates things unnecessarily.

Thanks
Mukul